Change in osmo-ci[master]: jobs: osmo-gsm-tester-runner: Add ttcn3 job

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Pau Espin Pedrol gerrit-no-reply at lists.osmocom.org
Sat May 19 12:06:26 UTC 2018


Pau Espin Pedrol has submitted this change and it was merged. ( https://gerrit.osmocom.org/9225 )

Change subject: jobs: osmo-gsm-tester-runner: Add ttcn3 job
......................................................................

jobs: osmo-gsm-tester-runner: Add ttcn3 job

Change-Id: I8ca1c9a3a18138a27232efba7d65d6806e044a6b
---
M jobs/osmo-gsm-tester-runner.yml
A jobs/osmo-gsm-tester_ttcn3.sh
2 files changed, 41 insertions(+), 0 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  Pau Espin Pedrol: Verified



diff --git a/jobs/osmo-gsm-tester-runner.yml b/jobs/osmo-gsm-tester-runner.yml
index 5e1ff92..f6774b7 100644
--- a/jobs/osmo-gsm-tester-runner.yml
+++ b/jobs/osmo-gsm-tester-runner.yml
@@ -7,6 +7,7 @@
     jobs:
       - 'osmo-gsm-tester_run-{stage}'
       - 'osmo-gsm-tester_gerrit'
+      - 'osmo-gsm-tester_ttcn3'
 
 - scm:
     name: osmo-gsm-tester-gerrit
@@ -166,3 +167,29 @@
       - junit:
           results: 'trial-*/last_run/trial-*.xml'
           allow-empty-results: true
+
+# ttcn3 job
+- job:
+    name: 'osmo-gsm-tester_ttcn3'
+    defaults: runner
+    scm:
+      - 'osmo-gsm-tester-repo'
+    triggers:
+      - timed: "H H/2 * * *"
+      - pollscm:
+          cron: "H/5 * * * *"
+    builders:
+      - shell: |
+          # make sure no bin artifacts from a previous run remain
+          rm -f *.tgz *.md5
+      - copy_artifact_all
+      - copy_artifact:
+         repo: osmo-gsm-tester_build-osmocom-bb
+      - shell: !include-raw: osmo-gsm-tester_ttcn3.sh
+    publishers:
+      - archive:
+          artifacts: '*-run.tgz, *-bin.tgz'
+          default-excludes: false
+      - junit:
+          results: 'trial-*/last_run/trial-*.xml'
+          allow-empty-results: true
diff --git a/jobs/osmo-gsm-tester_ttcn3.sh b/jobs/osmo-gsm-tester_ttcn3.sh
new file mode 100644
index 0000000..f2b974f
--- /dev/null
+++ b/jobs/osmo-gsm-tester_ttcn3.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e -x
+
+# On our hardware, we actually use the example configuration as-is.
+export OSMO_GSM_TESTER_CONF="$PWD/osmo-gsm-tester/ttcn3"
+
+# debug: provoke a failure
+#export OSMO_GSM_TESTER_OPTS="-s debug -t fail"
+
+unlink osmo-gsm-tester/ttcn3/resources.conf || true
+ln -s resources.conf.prod osmo-gsm-tester/ttcn3/resources.conf
+
+PATH="$PWD/osmo-gsm-tester/src:$PATH" \
+  ./osmo-gsm-tester/ttcn3/jenkins-run.sh

-- 
To view, visit https://gerrit.osmocom.org/9225
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: I8ca1c9a3a18138a27232efba7d65d6806e044a6b
Gerrit-Change-Number: 9225
Gerrit-PatchSet: 2
Gerrit-Owner: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: lynxis lazus <lynxis at fe80.eu>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20180519/41c8edc3/attachment.htm>


More information about the gerrit-log mailing list